package api

import (
	"github.com/kataras/iris/v12"
	"main/jwtSet"
)

func Backgammon(party iris.Party) {
	party.Get("/", getRooms)
	party.Post("/", jwtSet.Jwt.Serve, addRoom)
	party.Get("/{id:int}", getStatus)
	party.Put("/{id:int}", jwtSet.Jwt.Serve, joinRoom)
	party.Delete("/{id:int}", jwtSet.Jwt.Serve, delRoom)
	party.Post("/{id:int}", jwtSet.Jwt.Serve, addPawn)
}
